Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class Protocol

[frames] | no frames]

# Class Protocol

source code

    object --+
             |
            Protocol

Describes a stepwise protocol as in Nilmeier et al. (2011).

Instance Methods

__init__(self, steps) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| steps The steps making up the protocol
Inherited from `object`: `__class__`

Method Details

### __init__(self, steps)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `steps` (list of Steps) - the steps making up the protocol
Overrides: object.__init__
  (inherited documentation)

Property Details

### steps

The steps making up the protocol

Get Method:
  unreachable.steps(self) - The steps making up the protocol
Set Method:
  unreachable.steps(self, value)